%global momorel 4

Name:           perl-Getopt-Long-Descriptive
Version:        0.085
Release:        %{momorel}m%{?dist}
Summary:        Getopt::Long with usage text
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Getopt-Long-Descriptive/
Source0:	http://www.cpan.org/authors/id/R/RJ/RJBS/Getopt-Long-Descriptive-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-IO-stringy
BuildRequires:  perl-Params-Validate >= 0.74
BuildRequires:  perl-Test-Simple
Requires:       perl-IO-stringy
Requires:       perl-Params-Validate >= 0.74
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Convenient wrapper for Getopt::Long and program usage output

%prep
%setup -q -n Getopt-Long-Descriptive-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.085-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.085-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.085-2m)
- rebuild against perl-5.12.0

* Sun Mar 14 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.085-1m)
- update to 0.085

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.084-1m)
- update to 0.084

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.083-1m)
- update to 0.083

* Sat Dec  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.082-1m)
- update to 0.082

* Sun Nov 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.081-1m)
- update to 0.081

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.077-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Aug 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.077-1m)
- update to 0.077

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.074-4m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.074-3m)
- rebuild against perl-5.10.1

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.074-2m)
- modify BuildRequires

* Fri May 29 2009 Nakamura Hirotaka<h_nakamura@momonga-linux.org>
- (0.074-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
